lernid (1.0.4) xenial; urgency=medium

  * Change version number to enable recipe building 

 -- John S Gruber <JohnSGruber@gmail.com>  Wed, 27 Jan 2016 09:11:08 -0500

lernid (1.0.3~1) wily; urgency=medium

  * Make Further changes to bring packaging up-to-date. lp: #1535318

 -- John S Gruber <JohnSGruber@gmail.com>  Tue, 26 Jan 2016 20:51:09 -0500

lernid (1.0.2) xenial; urgency=medium

  * Remove python-support dependency and condition on use of dh_python2.
    Fixes lp: #1535318 

 -- John S Gruber <JohnSGruber@gmail.com>  Fri, 22 Jan 2016 13:39:18 -0500

lernid (1.0.1) precise; urgency=low

  * Fix Browser freezes when Slide is open. lp: #1275521 
  * Release Version 1.0.1
  * Update the above fix so each slide will be imaged on creation

 -- John S Gruber <JohnSGruber@gmail.com>  Sun, 02 Feb 2014 13:45:28 -0500

lernid (1.0) precise; urgency=low

  * Release Version 1.0

 -- John S Gruber <JohnSGruber@gmail.com>  Tue, 28 Jan 2014 21:21:24 -0500

lernid (0.9.9.1) precise; urgency=low

  * Disable ubuntu-on-air for now. Adjust version numbers. 

 -- John S Gruber <JohnSGruber@gmail.com>  Mon, 20 Jan 2014 15:36:30 -0500

lernid (0.9.9) precise; urgency=low

  * data/ui/LernidWindow.ui and man page. Mention gwibber in the appropriate
    events menu item. Christos Bountalis.
    Fixes lp: #794120.
  * lernid/widgets/IrcWidget.py. Highlight and italicize the user's question
    when repeated in the classroom by classbot. Mohammad AbuShady.
    Fixes lp: #1043899. 
  * lernid/widgets/IrcWidget.py. Ignore the word "asked: " as it will be
    different in different languages. Make sure the sender name comparison
    is in lower case, matching the classbot name list. John S. Gruber
  * Merge translations as of 2013-2-28.
  * Merge translations as of 2013-6-27.
  * Ready new release 
  * Address lp: 1130454 by adding ubuntu-onair and reenabling webkit plugins
    for computers that have SSE2. Don't close yet.
  * Handle no classroom case for ubuntu-onair 
  * Same for when configuration file cannot be found 
  * Refine event connection for classroom and chatroom if configured to be ""
  * lernid/widgets/Slide.py Handle 0 length slidefile case to avoid zero devide
    Fixes lp: #1038548
  * Correct man page mispelling.

 -- John S Gruber <JohnSGruber@gmail.com>  Fri, 01 Mar 2013 22:23:58 -0500

lernid (0.8.5) precise; urgency=low

  * Release 0.8.5

 -- John S Gruber <JohnSGruber@gmail.com>  Sun, 19 Aug 2012 13:32:58 -0400

lernid (0.8.4.11) precise; urgency=low

  * Merge lernid-proposed

 -- John S Gruber <JohnSGruber@gmail.com>  Sun, 19 Aug 2012 13:28:43 -0400

lernid (0.8.4.10) precise; urgency=low

  * Merge translations

 -- John S Gruber <JohnSGruber@gmail.com>  Sun, 19 Aug 2012 13:26:52 -0400

lernid (0.8.4.9) precise; urgency=low

  * Disable all plugins through webkit settings so they won't crash
    lernid. Future webkit releases may run plugins in a separate
    process allowing us to reconsider this eventually.
    lernid/widgets/Browser.py . Closes LP: #995695.

 -- John S Gruber <JohnSGruber@gmail.com>  Sun, 06 May 2012 20:38:42 -0400

lernid (0.8.4.8) precise; urgency=low

  * Don't add irc logs for future events in lernid/widgets/Schedule.py

 -- John S Gruber <JohnSGruber@gmail.com>  Thu, 03 May 2012 21:14:55 -0400

lernid (0.8.4.7) precise; urgency=low

  * Change version number and create new version of .pot files

  * Fix scrolling case when there are no sessions in the schedule timeframe.

  * Underline Irclog entries to make it apparent that they are clickable.

 -- John S Gruber <JohnSGruber@gmail.com>  Sat, 28 Apr 2012 00:12:17 -0400

lernid (0.8.4.6) precise; urgency=low

  * Change version number and create new version of .pot files

  * Get rid of slide error message more quickly, and when a new attempt
    is made to download slides.

 -- John S Gruber <JohnSGruber@gmail.com>  Mon, 23 Apr 2012 15:10:53 -0400

lernid (0.8.4.5) precise; urgency=low

  * Don't release the nick--it causes the server to change previous
    signons elsewhere to Guestn.

  * Add calendar override option for use in testing.

  * Create irclog lines for current and future sessions, too.

  * If there are no future sessions, scroll to the bottom of the calendar.

  * Add the --no-update command line option to supress lernid's
    scheduled schedule updates.

  * Scramble the calendar domain name before every calendar download

  * At disconnect time, be sure schedule _update handle is removed. Don't
    let an initial calendar load ending after an event is disconnected
    produce schedule the update chain.

  * Ignore callbacks from cancelled messages

  * Select time to trigger calendar updates from a list. At :06 after
    the hour and half hour. Other times are :01, :11, :21, :31, :41, :51

  * Add remarks about the schedule buttons in the lernid man page.

  * Clean up some corner cases when events are terminated. Schedule._event
    is now None when there is no event active. Rename irclog click callback.

  * Remove event interrupted message when the next connection is made.

  * When a new slide load attempt is made, stop outstanding I/O and retries.

  * Add a schedule refresh button

  * Clean up and simplify calendar reload scheduling. Only load it every
    ten minutes and once a night to produce a new irclog entry in the
    schedule.

  * Be sure we don't pre-announce the same session twice in a row.

  * Make server disconnections more robust

 -- John S Gruber <JohnSGruber@gmail.com>  Sun, 22 Apr 2012 20:03:52 -0400

lernid (0.8.4.4) precise; urgency=low

  * New version number; new .pot file. Clear lintian errors

 -- John S Gruber <JohnSGruber@gmail.com>  Sun, 15 Apr 2012 22:29:02 -0400

lernid (0.8.4.3) precise; urgency=low

  * Depend on python version 2.6 as lernid uses the io module

  * Don't reparse calendar unless it has changed. Simplify
    _calendar_refresh parameters.

  * Don't scroll schedule unless we have just connected to an event.`

 -- John S Gruber <JohnSGruber@gmail.com>  Sun, 15 Apr 2012 20:23:07 -0400

lernid (0.8.4.2) precise; urgency=low

  * Increment release version by .1. Adjust version number in package.
    Make python-support a straight build dependency for now to avoid
    bug 594916 in launchpad's builder.

 -- John S Gruber <JohnSGruber@gmail.com>  Wed, 11 Apr 2012 22:39:02 -0400

lernid (0.8.4.1) precise; urgency=low

  * Correct problem using non-existent event preferences setting; advance
    version by .1

 -- John S Gruber <JohnSGruber@gmail.com>  Wed, 11 Apr 2012 20:56:03 -0400

lernid (0.8.4) precise; urgency=low

  * Set up new release

 -- John S Gruber <JohnSGruber@gmail.com>  Wed, 11 Apr 2012 13:20:03 -0400

lernid (0.8.2.7) precise; urgency=low

  * Create new translation .pot file

 -- John S Gruber <JohnSGruber@gmail.com>  Wed, 11 Apr 2012 13:17:05 -0400

lernid (0.8.2.6) precise; urgency=low

  * Merge translations

 -- John S Gruber <JohnSGruber@gmail.com>  Wed, 11 Apr 2012 13:10:28 -0400

lernid (0.8.2.5) precise; urgency=low

  * Use nick from connect dialog when reconnecting

  * Make nick used in irc rooms reflect the nick assigned by the server and
    display a status message when it is changed

 -- John S Gruber <JohnSGruber@gmail.com>  Wed, 11 Apr 2012 12:31:11 -0400

lernid (0.8.2.4) precise; urgency=low

  * Correct message insertion into irc text buffers.

 -- John S Gruber <JohnSGruber@gmail.com>  Tue, 10 Apr 2012 19:26:25 -0400

lernid (0.8.2.3) precise; urgency=low

  [ Mohammad AbuShady ]
  * Fix traceback when issuing error message for attempt at irc command
    (LP: #925702)

  * Add clasebot to list of classbot names. (LP: #916629)

  * Time out the join message after 10 seconds. (LP: #806801)

  [ John S Gruber]
  * Time out various additional status messages. Avoid initial "learning
    material" message. (LP: #806805)

  * Disconnect channel signal handlers, if any, when the server connection
    is closed. Prevents messages from being repeated after multiple
    disconnects and connects.

  * Correct default events (classrooms). Use a temporary file to allow the
    configparser to read the default config as a utf-8 encoded string --
    matching how it reads all other configs from disk or web.

  * Simplify nickname handling somewhat. Use version as fullname in initial
    sign-on. (LP: #850419, LP: #838557)

  * Remove "Question:" unicode space marking.

  * Change copyright format-spec: line to current format: line and
    update standards to 3.9.3.1

  * Convert to debhelper7 from cdbs

  * Use dh_python2 for build if available; use python-support if not
    (Removes need for python-central). Thanks to Monty Taylor for
    the conditional code. (LP: #801281)
  
  * Remove desktopcouch configuration saving as Ubuntu One doesn't support
    it. (LP: #893738, LP: #795492)

  * In connect dialog default to last event chosen. (LP: #838505)

  * Expose the event icalurl in two ways, to the clipboard, and opened using
      the default method for the url. Also replace the slide opening function
      with the same gtk.show_uri function, removing the need for webbrowser.
      Also eliminate the gtk.viewport, tree views are scrollable so this
      is redundant (and I think, should have been a child of the scrolling
      window, not its parent, if I read the documentation correctly).
      (LP: #530054).

  * Slide.py have poppler render to a cairo surface and use a trick to
    get that into the pixmap. (LP: #972069)
    (Technique from diogodivision's "BlingSwitcher" through 
    http://www.mikedesjardins.net. Thank you.)

  * Dynamically load the schedule each minute at 5 seconds past the minute
    Addresses LP: #925756, LP: #835806

  * Try to reload slides three times at random intervals

  * Add a lernid man page and another to describe classroom config files and
    calendar event (session) description fields.

  * Insert references to irc logs. New config setting logstring provides
    the skeleton uri for the logs. LP: #794124

 -- John S Gruber <JohnSGruber@gmail.com>  Sat, 07 Apr 2012 19:34:43 -0400

lernid (0.8.2.2) natty; urgency=low

  * Ready for release

 -- John S Gruber <JohnSGruber@gmail.com>  Sat, 03 Sep 2011 15:32:51 -0400

lernid (0.8.2.1) natty; urgency=low

  * Make schedule a bit easier to read by making font used for instructors one size smaller

 -- John S Gruber <JohnSGruber@gmail.com>  Sun, 28 Aug 2011 10:02:15 -0400

lernid (0.8.2) natty; urgency=low

  * Add 'avoid-desktopcouch' debugging option.

  * Remove #ubuntu-classroom-es. Assign correct calendar to #ubuntu-charlas


  * Document the following merges in debian/changelog:

  * Add instructor names to schedule.

  * Add option -d (--debug) for message received and members changed events as
      well as for all other verbose messages. Makes --verbose less verbose.
      Fixes LP: #816080.

  * Couch desktopcouch in try: clause; ignore desktopcouch database if
      unavailable. Fixes LP: #795138 and LP: #516619 by this circumvention.

  * Use a config file as backup for desktopcouch. Window sizes and pane settings
      will not be restored. The config file is recreated each time lernid
      is run, whether or not desktopcouch is available.

  * Get the events from /etc/lernid-classrooms.d/* rather than from the
      Internet. Remove all but the last weeks events and scroll down
      to the current time. LP: #528870.

  * Add /etc/lernid-classrooms.d/ubuntu-classroom and
      /etc/lernid-classrooms.d/ubuntu-classroom-es

  * Add ubuntu-charlas chatroom choice. These implement the 
      lernid-config-file-improvements blueprint
      basic requirements. Also fix LP: #533279 and LP: #793033.

  * Add button to open the slide file in the user's (external) browser.
      Add tooltip text to slide window giving the slide url.
      Resolves LP: #830856 and LP: #530817.

  * Add new [slidefile url] and [slidefile url 3] instructor commands to
      load a slide file during a session, and to load the slide file and then
      switch to the page.

  * Load slide file asynchronously using gio (rather than using threads). 
      Again fixes LP: #530119. Fixes LP: #795347. Report downloading progress.
      Restablishes these two functions originally created by Peeyoosh
      Sangolekar.

  * Remove bold effect from the room names in the classroom and chatroom label.
      Include the '#' in the name, if someone had  abbreviated it.
      Fixes LP: #806797.

  * Add a ZERO WIDTH SPACE and SIX-PER-EM SPACE following "QUESTION: " to help
      classbot pick out questions without regard to the word "QUESTION" as its
      language might not match the one lernid is using. Addresses LP: 808570.

  * Look for classbot messages in a case-insensitive manner. Mark its messages
      by making them italic. Fixes LP: #794126

  * Retrieve the value of "QUESTION:" from the session or the event. Look first
      for a question_token value in the session, then for a locale for the
      session, then for a question_token value for the event, then for a locale
      value for the event. 
  
  * If locale is used and begins with es, translate QUESTION to spanish, otherwise
      leave as english.
  
  * Added a server variable to events for later use.

  * Replace light style of QUESTION: label with normal style so it doesn't appear
      to be insensitive. Tooltip text applies to both label and the check  box
      itself. Clicking on the tooltext label toggles the button. Fixes
      LP: #806800, LP: #806793, LP: #793029.

  * Make Question: upper-case in the notification reminder and in the mouse-over
      text. Thanks to Mohammad AbuShady. Fixes LP: #808569 .

  * Handle the response to the user dismissing the Open event window in two
      stages so that the window can be hidden before the remaining processing
      is started. Fixes LP: #806804.

  * Add preference to open URL's as a new tab in the user's default browser
      rather than in Lernid. The initial classroom web page and the
      Event->Open URL... dialog are excluded.

      Thanks to Peeyoosh Sangolekar for providing this feature. See
      https://blueprints.launchpad.net/lernid/+spec/open-in-default-browser .

  * Make the test for messages from instructors and helpers case-insensitive.
      Thanks to Mohammad AbuShady. Fixes LP: #812427 .

  * Change the last user-agent product-id from Safari to lernid. Thanks go to
      Mohammad AbuShady. Fixes LP: #793805 .

  * Prepend URL's input into the Open URL... dialog box with http:// if
      necessary. Thanks, Diogenese The Cynical. Fixes LP: #793793.

  * Set new version number

 -- John S Gruber <JohnSGruber@gmail.com>  Sat, 27 Aug 2011 16:02:28 -0400

lernid (0.8.1.5) natty; urgency=low

  * Note that LP: #808982 is fixed
 
  * Allow anyone (with voice) to change slides or switch browser if channel
      is moderated.

  * Wrap notification requests in try: clause so failure doesn't cause lernid to
      error. Fixes LP: #808982

  * Set user-stylesheet-uri in webkit settings to circumvent webkit problem
      with webkit-box-shadow. Fixes LP: #793780. Thanks to the Midori
      project for covering this in their FAQ at http://wiki.xfce.org/midori/faq 
    
  * Set new version number 

 -- John S Gruber <JohnSGruber@gmail.com>  Thu, 21 Jul 2011 01:14:04 -0400

lernid (0.8.1.4.1) natty; urgency=low

  No change entry to note fixed bugs in bazaar. 

 -- John S Gruber <JohnSGruber@gmail.com>  Wed, 06 Jul 2011 15:55:52 -0400

lernid (0.8.1.4) natty; urgency=low

  Set for release

  Add John S Gruber to AUTHOR file

  Correct classroom and chatroom labels if lernid was invoked with the
     the --chatroom or --classroom option.

  Fix traceback where appindicator is turned off by preference.

  Correct handling of unusual case where a calendar start or stop time is
      missing.

  Change maintainer to John S Gruber and add copyrights. Set new version.

  In the schedule add italicized event names to the titles of sessions.

  Use checkbox rather than a button to allow the user to prepend "Question:"
      to their contribution to the chatroom.
  
  Let the user know about Question: in the session notification.
      Fixes: LP: #793029

  When classroom and chatroom are joined change their widgets from inactive to
      active so it is more obvious. Fixes LP: #604658

  Switch to the session tab at the beginning of the event. Suggest in session
      notification that the user keep the tab selected to see all visual
      materials. Use an eyecatcher, with color, to point out that additional
      slides or web material are in the session tab. Add a status
      message suggesting the user switch to the session tab. LP: #793788

  Warn in the connection dialog that connecting can take a minute.
      LP: #604773

  See that only an instructor or helper can change what the browser displays.
      LP: #530185. Add option to override this for testing.
      (--unsafe-override).
  
  Emphasize messages from an instructor, helper, or classbot. LP: #794126
  
  Add a --chatroom option so that the user can specify both the classroom and
      chatroom they want.
  
  Remove nicknames saying <???> by rechecking with telepathy when a nickname
      is unknown. LP: #793048
  
  Fix mispelling of "event" in in lernid/Sessions.py code.

  Change format of slide progress message to ease translation.
      LP: #792364

  Delay setting pane positions until the system has resized the 
      window. Sort of hackish. LP: #801547

  Don't specify that "lernid" should be translated in LernidWindow.ui
      and other locations. Addresses LP: #682807

  Add classroom and chatroom names to their widgets.

  Address LP: #493316 adding extensions to make Lernid more robust when a
      connection doesn't exist, the config site, calendar, or irc server
      cannot be reached, or the connection is dropped. Also addresses
      LP: #528935, LP: #603248, LP: #795339 Supplies default configs or
      calendar as needed. Session entries without complete information are
      noted in the schedule.

  Merge Chris Coulson's changes to remove the dependency on gtkmozembed.
      LP: #799211.

 -- John S Gruber <JohnSGruber@gmail.com>  Mon, 27 Jun 2011 10:54:55 -0400

lernid (0.8.1) natty; urgency=low

  * Prepare next release
  * Retrieve nicks (aliases) rather than ids so nicks displayed match
    user preference (and match what other irc clients display) (LP: #604770)
  * Correct room prefix check to look at channel.name[0] rather than [1]
  * Fix FTBFS on oneiric due to missing, and unnecessary, langpack.mk file.
    (LP: #782740)
  * Merge current translations

 -- John S Gruber <JohnSGruber@gmail.com>  Tue, 17 May 2011 16:05:22 -0400

lernid (0.8.0.2) natty; urgency=low

  * Sanity check pane settings. Retrieve update main window size from 
    configure-event callbacks rather than trying to retrieve size from
    a possibly destroyed window (by window manager). Allow window manager
    complete discretion in window placement. (LP: #764082)
  * Revise size parameters passed to poppler page render call. (LP: #764069)
  * Revert the slide loading function to run synchronously
    rather than using python threads. (LP: #749848)
  * Handle case where web page has no title. (LP: #751019)
  * Correct color setting in tags in Classroom.py and 
    NativeChatroom.py (LP: #716937)
  * Add desktopcouch dependencies. If desktopcouch related package dependencies
    are corrected this will no longer be necessary. (LP: #727232)

 -- John S Gruber <JohnSGruber@gmail.com>  Wed, 27 Apr 2011 17:37:00 -0400

lernid (0.7.1) maverick; urgency=low

  [ Michael Budde ]
  * New upstream version:
    - User count above chat window is not i18n-ed (LP: 533988)
    - Report slide download progress (Thanks to Peeyoosh Sangolekar)
    - Check for .lernid configfile on ubuntu-owl.org instead of jonobacon.org
  * debian/control:
    - Change maintainer from Jono Bacon to Michael Budde
    - Add dependency on python-webkit.
    - Move telepathy-idle from Recommends to Depends.
  [ Nathan Handler ]
  * debian/copyright:
    - Update to correctly use dep5
  * debian/control:
    - Bump Standards-Version to 3.9.1
    - Update short descriptoin

 -- Nathan Handler <nhandler@ubuntu.com>  Thu, 16 Sep 2010 09:08:41 -0500

lernid (0.7) maverick; urgency=low

  * New upstream version, fixes bugs:
    (LP: #530119) - Don't block UI when downloading slides
    (LP: #500495) - Should support other IRC channel prefixes than '#'
    (LP: #510003) - Warnings in the terminal when closing Lernid
    (LP: #530115) - exit in terminal
    (LP: #514733) - Preload the default page in browser
    (LP: #503224) - Lernid opens too small
    (LP: #530810) - URLs in chat area should be clickable
    (LP: #530821) - Add an xchat-type separator line for new text in
                    classroom
    (LP: #531492) - missing copy menu entries for browser widget
  * debian/control, change section:
    (LP: #546968) - Inappropriately appears in Ubuntu Software Center
                    "Developer Tools" > "Python"

 -- Andrew Higginson <rugby471@gmail.com>  Sat, 31 Jul 2010 08:42:13 +0100

lernid (0.6) lucid; urgency=low

  * Initial release in ubuntu (LP: #527312)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 24 Feb 2010 22:58:17 +0100
